uniform float iGlobalTime;
uniform vec3 iResolution;
uniform float u_alpha;
uniform vec2 u_zoom;

uniform sampler2D iChannel0;

void main(void)
{
	vec2 uv = gl_FragCoord.xy / iResolution.xy;
	uv -= vec2(0.5);
	uv *= u_zoom;
	uv += vec2(0.5);

	gl_FragColor = texture2D(iChannel0, uv);
	gl_FragColor.a = u_alpha;
}